Browser issues with PayPal Zettle

To avoid technical complications, please ensure you’re always using an updated and supported browser. If you’re presented with an “unsupported browser” notification, it’s because you’re using an old browser.

We don’t support any version of Internet Explorer. Many old browsers have security issues and if you’re using one, you may not be able to use all of our features.

PayPal Zettle supports the two latest major versions of the most common browsers, listed below. You can follow the installation instructions for any of the supported browsers below:

  1. Chrome 
  2. Firefox 
  3. Safari 
  4. Edge 

We’ll use cookies to improve and customize your experience if you continue to browse. Is it OK if we also use cookies to show you personalized ads? Learn more and manage your cookies